TestCoverage#test_coverage_suspendable fails on ppc64le

10/13/2023 03:32 PM - vo.x (Vit Ondruch)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 3.3.0dev (2023-10-13 master

35edc14ee1) [powerpc64le-linux]

Backport: 3.0: UNKNOWN, 3.1: UNKNOWN, 3.2:

UNKNOWN

Description

Testing on Fedora Rawhide, I am facing the following test error on ppc64le:

 94) Failure:

TestCoverage#test_coverage_suspendable [/builddir/build/BUILD/ruby-3.3.0-35edc14ee1/test/coverage/

test_coverage.rb:870]:

pid 192974 exit 0.

1. [1/2] Assertion for "stdout"

   | <["{:lines=>[0, 0, nil, nil, 0, 1, nil, nil, 0, 0, nil], :branches=>{}, :methods=>{[Object, :

baz, 9, 12, 11, 15]=>0, [Object, :bar, 5, 12, 7, 15]=>1, [Object, :foo, 1, 12, 3, 15]=>0}}",

   |  "{:lines=>[0, 0, nil, nil, 0, 1, nil, nil, 0, 1, nil], :branches=>{}, :methods=>{[Object, :b

az, 9, 12, 11, 15]=>1, [Object, :bar, 5, 12, 7, 15]=>1, [Object, :foo, 1, 12, 3, 15]=>0}}"]> expec

ted but was

   | <["{:lines=>[0, 0, nil, nil, 0, 1, nil, nil, 0, 0, nil], :branches=>{}, :methods=>{[Object, :

foo, 1, 12, 3, 15]=>0, [Object, :baz, 9, 12, 11, 15]=>0, [Object, :bar, 5, 12, 7, 15]=>1}}",

   |  "{:lines=>[0, 0, nil, nil, 0, 1, nil, nil, 0, 1, nil], :branches=>{}, :methods=>{[Object, :f

oo, 1, 12, 3, 15]=>0, [Object, :baz, 9, 12, 11, 15]=>1, [Object, :bar, 5, 12, 7, 15]=>1}}"]>.

 Please note that the test passes on other arches just fine

History

#1 - 10/13/2023 03:44 PM - vo.x (Vit Ondruch)

I have not looked into the code, but it seems that the :method hash display order is different.

#2 - 10/25/2023 02:30 PM - vo.x (Vit Ondruch)

This is likely resolved by https://github.com/ruby/ruby/pull/8670

#3 - 10/25/2023 02:36 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Open to Closed
